Clarisse已经升级到了5.0时代,在这版中引入了python3,在旧版Clarisse中一直是采用python2的。当然新版本并不是完全将python2替换为了python3。而是在安装时会提示你采用哪种python版本。

关于如何选择python版本

如果之前已经给Clarisse开发过py工具,那么显然需要继续保留使用python2,否则python3的Clarisse可能会与之前的工具不兼容。

如果不存在以上问题,那么选择哪种python版本对使用者来说都不会有什么影响。

如何对Clarisse切换python版本

在安装Clarisse 5.0时你会发现其实你可以选择同时安装python2和python3。安装后会发现在安装目录下会同时存在python2和python3的目录。

之后在启动Clarisse时会默认使用python3。

Clarisse给使用者留出了启动Clarisse时具体采用哪种版本的python设置开关。

通过 clarisse.exe -help命令。

我们可以查看到具体的切换方法,当然这里也有关于其它功能的命令,这些我会留在后面讲。

在command-line options中有关于指定python的命令是:

python2

-python_version 2

python3

-python_version 3

接起来直接在cmd中运行 clarisse.exe -python_version 2,这时启动的Clarisse就将使用的是python2。

重要提示

Clarisse5.0的另外一个升级是将iFX和BUiLDER两个版本合并成为一个软件包,如果用户许可都有,那么用户可以自己决定启动iFX还是BUiLDER,这一作法和Houdini及Nuke等软件类似。

之前如果仅仅使用 clarisse.exe那么将会默认启动BUiLDER。如果想启动iFX,则需要在后面补充添加 -flavor iFX命令。

最后可以将它们创建成快捷方式,在“目标”中将后缀的命令补全。

Last modification:August 14th, 2021 at 03:40 am
如果觉得我的文章对你有用,请随意赞赏